# synfigapp::BLineConverter Class Reference

`#include <blineconvert.h>`

List of all members.

## Public Member Functions

| BLineConverter ()
void | operator() (std::list< synfig::BLinePoint > &out, const std::list< synfig::Point > &in, const std::list< synfig::Real > &in_w)

## Static Public Member Functions

static void | EnforceMinWidth (std::list< synfig::BLinePoint > &bline, synfig::Real min_pressure)

## Public Attributes

synfig::Real | width
synfig::Real | pixelwidth
synfig::Real | smoothness

## Classes

struct | cpindex

## Constructor & Destructor Documentation

synfigapp::BLineConverter::BLineConverter | ( |  | ) |

References pixelwidth, smoothness, and width.

## Member Function Documentation

void synfigapp::BLineConverter::EnforceMinWidth | ( | std::list< synfig::BLinePoint > & | bline,
|  | synfig::Real | min_pressure |
| ) |  |  | `[static]`

void synfigapp::BLineConverter::operator() | ( | std::list< synfig::BLinePoint > & | out,
|  | const std::list< synfig::Point > & | in,
|  | const std::list< synfig::Real > & | in_w |
| ) |  |  |

Todo:
  make this configurable

Todo:
  is this legal? it reads off the end of the vector

References CurveError(), EPSILON, GetFirstDerivatives(), pixelwidth, smoothness, tessellate_curves(), and width.

## Member Data Documentation

synfig::Real synfigapp::BLineConverter::width

Referenced by BLineConverter(), and operator()().

synfig::Real synfigapp::BLineConverter::pixelwidth

Referenced by BLineConverter(), and operator()().

synfig::Real synfigapp::BLineConverter::smoothness

Referenced by BLineConverter(), and operator()().

The documentation for this class was generated from the following files:

- blineconvert.h
- blineconvert.cpp